%global bundle blueprint-parser
Name:          aries-blueprint-parser
Version:       1.4.0
Release:       %mkrel 2
Group:         Development/Java
Summary:       Apache Aries Blueprint Parser
License:       ASL 2.0
URL:           http://aries.apache.org/
# Source0:       http://www.apache.org/dist/aries/%%{bundle}-%%{version}-source-release.zip
Source0:       http://central.maven.org/maven2/org/apache/aries/blueprint/%{bundle}/%{version}/%{bundle}-%{version}-source-release.zip

BuildRequires: maven-local
BuildRequires: mvn(org.apache.aries.blueprint:org.apache.aries.blueprint.api) >= 1.0.1
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi)
BuildRequires: xmvn

BuildArch:     noarch

%description
This bundle contains the blueprint parser in a plain JAR.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%pom_remove_parent
%pom_remove_plugin org.apache.aries.versioning:org.apache.aries.versioning.plugin

%pom_change_dep org.osgi:org.osgi.core org.eclipse.osgi:org.eclipse.osgi:3.10.102.v20160416-2200

%pom_xpath_set pom:properties/pom:blueprint.api.version 1.0.1

# Add OSGi support
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-SymbolicName>${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Vendor>The Apache Software Foundation</Bundle-Vendor>
    <Implementation-Title>Apache Aries</Implementation-Title>
    <Implementation-Version>${project.version}</Implementation-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 04 2017 neoclust <neoclust> 1.4.0-2.mga6
+ Revision: 1099060
- imported package aries-blueprint-parser


* Thu Aug 11 2016 gil cattaneo <puntogil@libero.it> 1.4.0-2
- add OSGi support

* Sun Jun 19 2016 gil cattaneo <puntogil@libero.it> 1.4.0-1
- update to 1.4.0

* Sat Oct 31 2015 gil cattaneo <puntogil@libero.it> 1.3.2-1
- update to 1.3.2

* Sun Feb 22 2015 gil cattaneo <puntogil@libero.it> 1.1.0-1
- initial rpm
